org.eclnt.util.chart

## Class Chart<LINETYPE extends ChartLine>

- java.lang.Object
- - org.eclnt.util.chart.Chart<LINETYPE>

- Direct Known Subclasses:
    CategoryChart, PieChart, TimeBasedChart, XYChart

      public class Chart<LINETYPE extends ChartLine>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getAxisLowerBound()`
    `java.lang.Double` | `getAxisUpperBound()`
    `java.lang.String` | `getId()`
    `java.util.List<LINETYPE>` | `getLines()`
    `java.lang.String` | `getLineType()`
    `java.lang.String` | `getName()`
    `boolean` | `getOwnYAxis()`
    `boolean` | `getShapesVisible()`
    `void` | `setAxisLowerBound(java.lang.Double axisLowerBound)`
    `void` | `setAxisUpperBound(java.lang.Double axisUpperBound)`
    `void` | `setId(java.lang.String id)`
    `void` | `setLines(java.util.List<LINETYPE> lines)`
    `void` | `setLineType(java.lang.String lineType)`
    `void` | `setName(java.lang.String name)`
    `void` | `setOwnYAxis(boolean ownYAxis)`
    `void` | `setShapesVisible(boolean shapesVisible)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Chart

          public Chart()

  - ### Method Detail

    - #### getAxisUpperBound

          public java.lang.Double getAxisUpperBound()

    - #### setAxisUpperBound

          public void setAxisUpperBound(java.lang.Double axisUpperBound)

    - #### getAxisLowerBound

          public java.lang.Double getAxisLowerBound()

    - #### setAxisLowerBound

          public void setAxisLowerBound(java.lang.Double axisLowerBound)

    - #### getLineType

          public java.lang.String getLineType()

    - #### setLineType

          public void setLineType(java.lang.String lineType)

    - #### getOwnYAxis

          public boolean getOwnYAxis()

    - #### setOwnYAxis

          public void setOwnYAxis(boolean ownYAxis)

    - #### getLines

          public java.util.List<LINETYPE> getLines()

    - #### setLines

          public void setLines(java.util.List<LINETYPE> lines)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getShapesVisible

          public boolean getShapesVisible()

    - #### setShapesVisible

          public void setShapesVisible(boolean shapesVisible)

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

Copyright © CaptainCasa Gmbh. All Rights Reserved.